Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1287076 (CVE-2015-8367) - CVE-2015-8367 LibRaw: Memory objects are not intialized properly
Summary: CVE-2015-8367 LibRaw: Memory objects are not intialized properly
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-8367
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1287077
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-01 13:14 UTC by Adam Mariš
Modified: 2019-09-29 13:40 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-27 12:55:32 UTC
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2015-12-01 13:14:06 UTC
It was found that phase_one_correct function does not handle memory object’s initialization correctly, which may have unspecified impact.

Upstream patch:

https://github.com/LibRaw/LibRaw/commit/89d065424f09b788f443734d44857289489ca9e2

Comment 1 Adam Mariš 2015-12-01 13:14:33 UTC
Created LibRaw tracking bugs for this issue:

Affects: fedora-all [bug 1287077]

Comment 2 Adam Mariš 2015-12-01 13:17:44 UTC
Public via:

http://seclists.org/fulldisclosure/2015/Nov/108


Note You need to log in before you can comment on or make changes to this bug.